package com.qiyuesuo.sdk.verify;

import java.util.List;

/**
 * pdf校验结果
 * @author jin.guo
 *
 */
public class PdfVerifyResult {
	public final static int VERIFY_SUCCESS = 0; //校验成功
	public final static int VERIFY_FAILED = 1; //校验失败
	public final static int VERIFY_EXCEPTION = -1;//其他异常
	
	public final static String VERIFY_SUCCESS_MSG = "文件未被修改"; //校验成功信息
	public final static String VERIFY_FAILED_MSG ="文件已被修改"; //校验失败信息
	/**
	 * 校验结果代码 0:校验成功   1:校验失败   -1:内部错误（如读取文档失败）
	 */
	private int statusCode;
	
	/**
	 * 校验结果（文件未被修改、文件已被修改、其他内部错误）
	 */
	private String statusMsg;
	
	/**
	 * 签名信息（statusCode为0或1时返回该信息）
	 */
	private List<SignatureInfo> signatureInfos;
	
	public int getStatusCode() {
		return statusCode;
	}
	public void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}
	public String getStatusMsg() {
		return statusMsg;
	}
	public void setStatusMsg(String statusMsg) {
		this.statusMsg = statusMsg;
	}
	public List<SignatureInfo> getSignatureInfos() {
		return signatureInfos;
	}
	public void setSignatureInfos(List<SignatureInfo> signatureInfos) {
		this.signatureInfos = signatureInfos;
	}
	
	

}
