package com.qiyuesuo.sdk.verify;

import java.util.Date;

public class SignatureInfo {
	
	
	public static final String ERROR_MSG = "文档被篡改";  //签名校验失败信息
	public static final String SUCCESS_MSG = "校验成功"; //签名校验成功信息
	
	/**
	 * 校验结果代码
	 * 0:校验成功   1:校验失败    2:未检验
	 */
	private Integer code; 
	
	/**
	 * 校验结果
	 */
	private String msg;
	
	/**
	 * 签约人
	 */
	private String signatory;
	
	/**
	 * 签约时间
	 */
	private Date signTime;
	
	/**
	 * 签名原因
	 */
	private String signReason;
	
	/**
	 * 颁布机构
	 */
	private String organization;
	
	/**
	 * 签名算法
	 */
	private String strAlgName;
	
	/**
	 * 签名是否覆盖全文
	 */
	private boolean signatureCoversWholeDocument;
	
	/**
	 * 是否有时间戳
	 */
	private boolean hasTimeStamp;
	
	/**
	 * 如果有时间戳  时间
	 */
	private Date timeStamp;
	
	/**
	 * 时间戳校验结果
	 */
	private Boolean verifyTimestamp;
	
	/**
	 * 证书有效期 开始
	 */
	private Date certDateFrom;  
	
	/**
	 * 证书有效期结束
	 */
	private Date certDateTo;   
	
	/**
	 * 是否有可见签名
	 */
	private boolean visibleSignature;
	
	/**
	 * 签名外观以Base64编码
	 */
	private String imgString;
	
	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getSignatory() {
		return signatory;
	}

	public void setSignatory(String signatory) {
		this.signatory = signatory;
	}

	public Date getSignTime() {
		return signTime;
	}

	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}

	public String getSignReason() {
		return signReason;
	}

	public void setSignReason(String signReason) {
		this.signReason = signReason;
	}

	public String getOrganization() {
		return organization;
	}

	public void setOrganization(String organization) {
		this.organization = organization;
	}

	public String getStrAlgName() {
		return strAlgName;
	}

	public void setStrAlgName(String strAlgName) {
		this.strAlgName = strAlgName;
	}

	public boolean getSignatureCoversWholeDocument() {
		return signatureCoversWholeDocument;
	}

	public void setSignatureCoversWholeDocument(boolean signatureCoversWholeDocument) {
		this.signatureCoversWholeDocument = signatureCoversWholeDocument;
	}

	public boolean getHasTimeStamp() {
		return hasTimeStamp;
	}

	public void setHasTimeStamp(boolean hasTimeStamp) {
		this.hasTimeStamp = hasTimeStamp;
	}

	public Date getTimeStamp() {
		return timeStamp;
	}

	public void setTimeStamp(Date timeStamp) {
		this.timeStamp = timeStamp;
	}

	public Boolean getVerifyTimestamp() {
		return verifyTimestamp;
	}

	public void setVerifyTimestamp(Boolean verifyTimestamp) {
		this.verifyTimestamp = verifyTimestamp;
	}

	public Date getCertDateFrom() {
		return certDateFrom;
	}

	public void setCertDateFrom(Date certDateFrom) {
		this.certDateFrom = certDateFrom;
	}

	public Date getCertDateTo() {
		return certDateTo;
	}

	public void setCertDateTo(Date certDateTo) {
		this.certDateTo = certDateTo;
	}

	public boolean getVisibleSignature() {
		return visibleSignature;
	}

	public void setVisibleSignature(boolean visibleSignature) {
		this.visibleSignature = visibleSignature;
	}

	public String getImgString() {
		return imgString;
	}

	public void setImgString(String imgString) {
		this.imgString = imgString;
	}
	
}
